<div style="margin-top: 20px;">
    <div class="container">
            <h4>
                <b><label>Assign Data</label></b>
            </h4>

        <div class="ui-g-12 ui-md-12" style="border: solid 1px black">
            <div class="row margin-row">
                <div class="col-md-12">
                    <div class="btn-filter-wrapper pull-left" style="margin-bottom: 25px;">
                        <button type="button" class="btn btn-danger btn-filter" (click)="back()">
                            <span>Back</span>
                        </button>
                    </div>
                    <div class="btn-filter-wrapper pull-right" style="margin-bottom: 25px;">
                        <button type="button" class="btn btn-primary btn-filter" (click)="showPrintAssign()">
                            <span>Assign To</span>
                        </button>
                    </div>
                </div>
            </div>
        
            <!-- <p-accordion class="filter-accordion">
                <p-accordionTab header="Filter" [selected]="true"> -->
                <div style="margin-left: 25px; width: 100%;">
                    <div class="row">
                        <div class="col-sm-12">
                            <label>No Stock Opname : {{stockOpname.StockOpnameNumber}}</label>
                        </div>
                    </div>
                </div>
                <!-- </p-accordionTab>
            </p-accordion> -->

            <!-- <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="Cari Surat Jalan">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button> -->
        
                    <!-- <ul class="nav justify-content-end">
                        <li class="nav-item"*jhiHasAnyAuthority="['ROLE_ADMIN']">
                            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span>
                            </a>
                        </li>
                    </ul> -->
                <!-- </div>
            </form>
            &nbsp;
            &nbsp; -->
        
            <p-dataTable 
                [value]="stockOpnamesAssign" 
                [editable]="true" 
                [rows]="itemsPerPage" 
                [paginator]="true" 
                [pageLinks]="5" 
                [rowsPerPageOptions]="[10,15,20]" 
                [totalRecords]="totalItems" 
                [responsive]="true" 
                [lazy]="true" 
                dataKey="idStockOpname"
                expandableRows="false" 
                (onLazyLoad)="loadDataLazy($event)" 
                [immutable]="false">
        
                <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
                <!-- <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column> -->
                <p-column header="Gudang">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.facilityName}}
                    </ng-template>
                </p-column>
                <p-column header="Lokasi">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.containerName}}
                    </ng-template>
                </p-column>
                <p-column header="PIC">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.picName}}
                    </ng-template>
                </p-column>
                <p-column header="Member">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        {{rowData.memberName}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi"[style]="{'width': '150px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <div *ngIf="rowData.status=='Draft'">
                            <button pButton type="button"
                                (click)="showPrintEdit(rowData.each)"
                                icon="fa-pencil"
                                class="flat-button"
                                pTooltip="Edit"
                                [style]="{'height':'50px'}">
                            </button>
                            <button pButton type="button"
                                (click)="delete(rowData.each)"
                                icon="fa-remove"
                                class="flat-button"
                                pTooltip="Remove"
                                [style]="{'height':'50px'}">
                            </button><br>
                            <button pButton type="button"
                                (click)="submitAssign(rowData.each)"
                                label="Submit">
                            </button>
                        </div>
                        <div *ngIf="rowData.status!='Draft'">
                            Submited
                        </div>
                    </ng-template>
                </p-column>
                <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
                </ng-template>
            </p-dataTable>
        </div>
    </div>
</div>

<div style="margin-bottom: 15px;"></div>

<p-dialog header="Assign To" [(visible)]="printModal" modal="true" [width]="600">
    <div class="row">
        <div class="col-sm-12">
            <div *ngIf="isNull">
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Gudang</label>
                        <!-- <select class="form-control" id="field_mainDealer" name="mainDealer">
                            <option [ngValue]="null"></option>
                        </select> -->
                        <select class="form-control" id="field_facility" name="facilities" [(ngModel)]="selectedfacility" (change)="FacilityChange()">
                            <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" id="field_container" name="containers" [(ngModel)]="selectedcontainer" [disabled]="!selectedfacility">
                            <!-- <option [ngValue]="">ALL</option> -->
                            <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div *ngIf="!isNull">
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Gudang</label>
                        <select class="form-control" [(ngModel)]="selectedfacility">
                            <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" [(ngModel)]="selectedcontainer">
                            <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group">
                    <label>Pilih PIC</label>
                    <select class="form-control" id="field_pic" name="pic" [(ngModel)]="selectedpic">
                        <option [ngValue]="user.idperson" *ngFor="let user of userMediator">{{user.name}}</option>
                        </select>
                </div>
            </div>

            <div class="ui-g-12 ui-md-12" style="border: solid 1px black">
            <h6>
                <label>Member</label>
            </h6>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <select class="form-control" id="field_pic" name="pic" [(ngModel)]="selectedMember">
                            <option [ngValue]="user.idperson" *ngFor="let user of userMediator">{{user.name}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-6 pull-left" style="margin-top: 3px;">
                    <button pButton type="button"
                        icon="fa-plus"
                        class="ui-button-primary btn-sm"
                        [disabled]="!selectedMember"
                        (click)="addMember()"
                        >
                    </button>
                </div>
            </div>
            &nbsp;
            <p-dataTable 
                [value]="stockOpnamePICMember" 
                [editable]="true" 
                [rows]="itemsPerPage" 
                [paginator]="false" 
                [responsive]="true" 
                [lazy]="true" 
                dataKey="idMember"
                expandableRows="false" 
                (onLazyLoad)="loadDataLazy($event)"
                [immutable]="false">
        
                <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Nama">
                    <ng-template let-rowData="rowData" pTemplate="body">
                       {{rowData.PersonName}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi" [style]="{'width': '30px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                            (click)="deleteMember(rowData)"
                            icon="fa-remove"
                            class="flat-button"
                            pTooltip="Assign"
                            [style]="{'height':'50px'}">
                        </button>
                    </ng-template>
                </p-column>>
            </p-dataTable>
            </div>
            &nbsp;
            &nbsp;
            <div class="btn-filter-wrapper pull-right" style="margin-top: 10px;">
                <button type="button" class="btn btn-primary btn-filter" (click)="Assign()" [disabled]="!selectedpic || !selectedfacility">
                    <span>Assign</span>
                </button>
            </div>
            &nbsp;
        </div>
    </div>
</p-dialog>

<p-dialog header="Edit Assign To" [(visible)]="printModalEdit" modal="true" [width]="600">
    <div class="row">
        <div class="col-sm-12">
            <div *ngIf="isNull">
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Gudang</label>
                        <select class="form-control" id="field_facility" name="facilities" [(ngModel)]="selectedfacility" (change)="FacilityChange()">
                            <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" id="field_container" name="containers" [(ngModel)]="selectedcontainer" [disabled]="!selectedfacility">
                            <option [ngValue]="">ALL</option>
                            <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div *ngIf="!isNull">
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Gudang</label>
                        <select class="form-control" [(ngModel)]="selectedfacility">
                            <option [ngValue]="facilities.idFacility" *ngFor="let facilities of facility">{{facilities.description}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-12">
                    <div class="form-group">
                        <label>Lokasi</label>
                        <select class="form-control" [(ngModel)]="selectedcontainer">
                            <option [ngValue]="containers.idContainer" *ngFor="let containers of container">{{containers.description}}</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-sm-12">
                <div class="form-group">
                    <label>Pilih PIC</label>
                    <select class="form-control" id="field_pic" name="pic" [(ngModel)]="selectedpic">
                        <option [ngValue]="user.idperson" *ngFor="let user of userMediator">{{user.name}}</option>
                        </select>
                </div>
            </div>

            <div class="ui-g-12 ui-md-12" style="border: solid 1px black">
            <h6>
                <label>Member</label>
            </h6>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group">
                        <select class="form-control" id="field_pic" name="pic" [(ngModel)]="selectedMember">
                            <option [ngValue]="user.idperson" *ngFor="let user of userMediator">{{user.name}}</option>
                        </select>
                    </div>
                </div>
                <div class="col-sm-6 pull-left" style="margin-top: 3px;">
                    <button pButton type="button"
                        icon="fa-plus"
                        class="ui-button-primary btn-sm"
                        [disabled]="!selectedMember"
                        (click)="addMember()"
                        >
                    </button>
                </div>
            </div>
            &nbsp;
            <p-dataTable 
                [value]="stockOpnamePICMember" 
                [editable]="true" 
                [rows]="itemsPerPage" 
                [paginator]="false" 
                [responsive]="true" 
                [lazy]="true" 
                dataKey="idMember"
                expandableRows="false" 
                (onLazyLoad)="loadDataLazy($event)"
                [immutable]="false">
        
                <p-column header="{{'mpmApp.requirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
                    <ng-template let-rowIndex="rowIndex" pTemplate="body">
                        {{rowIndex + 1}}
                    </ng-template>
                </p-column>
                <p-column header="Nama">
                    <ng-template let-rowData="rowData" pTemplate="body">
                       {{rowData.PersonName}}
                    </ng-template>
                </p-column>
                <p-column header="Aksi" [style]="{'width': '30px', 'text-align': 'center'}">
                    <ng-template let-rowData="rowData" pTemplate="body">
                        <button pButton type="button"
                            (click)="deleteMember(rowData)"
                            icon="fa-remove"
                            class="flat-button"
                            pTooltip="Assign"
                            [style]="{'height':'50px'}">
                        </button>
                    </ng-template>
                </p-column>>
            </p-dataTable>
            </div>
            &nbsp;
            &nbsp;
            <div class="btn-filter-wrapper pull-right" style="margin-top: 10px;">
                <button type="button" class="btn btn-primary btn-filter" (click)="editAssign()" [disabled]="!selectedpic">
                    <span>Update</span>
                </button>
            </div>
            &nbsp;
        </div>
    </div>
</p-dialog>
<p-confirmDialog></p-confirmDialog>
